diff_match_patch 0.2.0

Diff Match Patch #

This is a port of google-diff-match-patch library to Dart.

Algorithms #

This library implements Myer's diff algorithm which is generally considered to be the best general-purpose diff. A layer of pre-diff speedups and post-diff cleanups surround the diff algorithm, improving both performance and output quality.

This library also implements a Bitap matching algorithm at the heart of a flexible matching and patching strategy.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  diff_match_patch: ^0.2.0

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:diff_match_patch/diff_match_patch.dart';
  
Awaiting analysis to complete.